const getters = {
  title : state => state.settings.title,
  shortTitle : state => state.settings.shortTitle,
  logo : state => state.settings.logo,
  routers : state =>state.router.routers,
  addRouters: state => state.router.addRouters,
  roles: state => state.permit.roles,
  perms: state => state.permit.perms,
  isLoadPermit : state => {   return state.permit.roles && state.permit.roles.length >0 ; },
  isAuthenticated: state => { return Object.keys(state.user.token).length > 0 ; },
  sidebar: state => state.app.sidebar,
  size: state => state.app.size,
  device: state => state.app.device,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  menuTags : state => state.tagsView.menuTags,
  errorLogs: state => state.errorLog.logs
}
export default getters