import Cookies from 'js-cookie'

const TokenKey = 'Gcloud-Token';
const Token = 'Authorization';


export function getToken() {
  //return Cookies.get(Token);
  return JSON.parse(window.localStorage.getItem(TokenKey) || '{}');
}

export function setToken(token) {
  window.localStorage.setItem(TokenKey, JSON.stringify(token));
  return Cookies.set(Token,token.accessToken);
}

export function removeToken() {
  window.localStorage.removeItem(TokenKey);
  return Cookies.remove(Token);
}
